Skip to main content
GET
/
api
/
v2
/
tokens
/
{tokenId}
GET /api/v2/tokens/:tokenId — Get token metadata
curl --request GET \
  --url https://api.shuriken.trade/api/v2/tokens/{tokenId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.shuriken.trade/api/v2/tokens/{tokenId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.shuriken.trade/api/v2/tokens/{tokenId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "address": "<string>",
    "chain": "<string>",
    "decimals": 1,
    "name": "<string>",
    "symbol": "<string>",
    "tokenId": "<string>"
  },
  "requestId": "<string>",
  "pagination": {
    "hasMore": true,
    "limit": 1,
    "page": 1,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <jwt> for user auth or Authorization: Bearer sk_{keyId}_{secret} for API key auth.

Path Parameters

tokenId
string
required

Token ID in chain:address format

Response

Token metadata

V2 success response envelope

data
object
required
requestId
string
required
pagination
object | null

Page-based pagination info (per RFC)